%global project_version 1.0-beta-2

Name:           plexus-active-collections
Version:        1.0
Release:        %mkrel 0.3.beta2.5
Summary:        Plexus Container-Backed Active Collections

Group:          Development/Java
License:        ASL 2.0
URL:            http://plexus.codehaus.org/
#svn export http://svn.codehaus.org/plexus/tags/plexus-active-collections-1.0-beta-2/
#tar zcf plexus-active-collections-1.0-beta-2.tar.gz plexus-active-collections-1.0-beta-2/
Source0:        plexus-active-collections-1.0-beta-2.tar.gz

Patch0:         %{name}-migration-to-component-metadata.patch

BuildArch: noarch

BuildRequires:  java >= 0:1.6.0
BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  ant
BuildRequires:  maven
BuildRequires:  maven-assembly-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-shared-reporting-impl
BuildRequires:  maven-plugin-testing-harness
BuildRequires:  maven-doxia
BuildRequires:  maven-doxia-sitetools
BuildRequires:  plexus-containers-component-metadata
BuildRequires:  plexus-component-api
BuildRequires:  plexus-container-default
BuildRequires:  plexus-maven-plugin
BuildRequires:  junit

Requires:          java >= 0:1.6.0
Requires:          plexus-component-api
Requires:          plexus-container-default
Requires:          plexus-utils
Requires:          junit
Requires:          jpackage-utils


%description
Plexus Container-Backed Active Collections

%files
%{_javadir}/plexus/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

#--------------------------------------------------------------------

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%files javadoc
%{_javadocdir}/plexus/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{project_version}
%patch0 -p1

%build
mvn-rpmbuild \
        -Dmaven.test.failure.ignore=true \
        install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}/plexus
install -m 644 target/%{name}-%{project_version}.jar %{buildroot}%{_javadir}/plexus/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP.plexus-%{name}.pom 
%add_maven_depmap JPP.plexus-%{name}.pom plexus/%{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/plexus/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/plexus/%{name}/



%changelog

* Thu Jan 05 2012 dmorgan <dmorgan> 1.0-0.3.beta2.5.mga2
+ Revision: 191688
- Sync with fedora ( use new maven macros)

  + gil <gil>
    - replaced plexus-maven-plugin with plexus-component-metadata

* Wed Jul 20 2011 dmorgan <dmorgan> 1.0-0.3.beta2.3.mga2
+ Revision: 127442
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0-0.3.beta2.2.mga1
+ Revision: 93007
- Rebuild after bootstrapping
- imported package plexus-active-collections


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.3.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed May 26 2010 Yong Yang <yyang@redhat.com> - 1.0-0.2.beta2
- Fix JPP pom name

* Mon May 10 2010 Yong Yang <yyang@redhat.com> - 1.0-0.1.beta2
- Initial build
